/*
** File: model_boot.h  
** Project: ADB3 core driver
** Purpose: Exports functions for model-specific bootstrapping of the device context.
**
** (C) Copyright Alpha Data 2009-2014
*/

#if !defined(ADATA_CORE_MODEL_BOOT_H)
#define ADATA_CORE_MODEL_BOOT_H

#include <df.h>

#include "device.h"

extern void
adb3CoreBootstrapGenericAdb3(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc2(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdpexrc5t(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6tl(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6t1(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6tge(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6tadv8(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdpexrc6t(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdpexrc6tadv(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6tda1(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc7k1(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc7v1(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmvpx37v2(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc7z1(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc7z2(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmpcie7v3(
	Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmpcieku3(
	Adb3CoreDeviceContext* pDevCtx);

#endif
